Entur Developer
Customers API

Endpoints deprecated in v2


deprecated

Update temporary profile

PUT
https://api.entur.io/customers/v2
/customers/temporary/{customerNumber}

Deprecated. Use /profiles/*. Updates the temporary customer profile with the value provided. All fields are overwritten.

Update temporary profile › path Parameters

customerNumber
​integer · int64 · required · style: simple

Update temporary profile › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update temporary profile › Request Body

A registered customer
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

expirationDate
​string · date-time · required

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
dateOfBirth
​string · date

Date of birth. ISO 8601 date format

Example: 2019-04-05
email
​string · maxLength: 80

Contact email

firstName
​string · maxLength: 50

First and middle name.

landlineNumber
​string · maxLength: 20

Landline telephone number.

surname
​string · maxLength: 50

Surname.

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

Update temporary profile › Responses

OK

A registered customer
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

expirationDate
​string · date-time · required

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

dateOfBirth
​string · date

Date of birth. ISO 8601 date format

Example: 2019-04-05
dateOfDeath
​string · date

Date of death. ISO 8601 date format

Example: 2019-04-05
email
​string · maxLength: 80

Contact email.

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

nationality
​string · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR

The notes connected to the customer.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00

deprecated

Create temporary profile

POST
https://api.entur.io/customers/v2
/customers/temporary

Deprecated. Use /profiles/*. Creates a new temporary customer profile. Temporary profiles are used when consents are given by an anonymous user, or where we need to add just a name to a hardcopy pdf ticket when the buyer doesn't have a full profile. In those cases, we still require a customer reference in the consents API, so a customer profile must exist. However, the profile does not need to be permanent. Specifically, temporary profiles have an expiration date. On that date, they will be deleted from the system. Also, several fields that are required for a permanent profile, are voluntary for a temporary profile. A mechanism exists for converting a temporary profile into a permanent one.

Create temporary profile › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create temporary profile › Request Body

A registered customer. Required fields are expirationDate, createdBy and createdByChannel.
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

expirationDate
​string · date-time · required

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
dateOfBirth
​string · date

Date of birth. ISO 8601 date format

Example: 2019-04-05
email
​string · maxLength: 80

Contact email

firstName
​string · maxLength: 50

First and middle name.

landlineNumber
​string · maxLength: 20

Landline telephone number.

organisationId
​integer · int64

The organisation the customer is registered with.

surname
​string · maxLength: 50

Surname.

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

Create temporary profile › Responses

OK

A registered customer
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

expirationDate
​string · date-time · required

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

dateOfBirth
​string · date

Date of birth. ISO 8601 date format

Example: 2019-04-05
dateOfDeath
​string · date

Date of death. ISO 8601 date format

Example: 2019-04-05
email
​string · maxLength: 80

Contact email.

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

nationality
​string · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR

The notes connected to the customer.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00

deprecated

Convert to permanent

POST
https://api.entur.io/customers/v2
/customers/temporary/{customerNumber}/convert

Deprecated. Use /profiles/*. Converts the temporary customer profile to a permanent profile. Note that this is a one-way change, there is no going back. When converting, all fields not present in the temporary profile need to be supplied.

Convert to permanent › path Parameters

customerNumber
​integer · int64 · required · style: simple

Convert to permanent › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Convert to permanent › Request Body

The properties used when converting a temporary customer profile
changedBy
​string · maxLength: 100 · required

ChangedBy of the temporary customer to be converted to a permanent customer

changedByChannel
​string · maxLength: 100 · required

ChangedByChannel of the temporary customer to be converted to a permanent customer

firstName
​string · maxLength: 50 · required

First name of the temporary customer to be converted to a permanent customer

surname
​string · maxLength: 50 · required

Surname of the temporary customer to be converted to a permanent customer

customerRef
​string · minLength: 1 · maxLength: 40

Optional customer reference. Defaults to customer number if not set

email
​string · maxLength: 80

Optional email of the temporary customer to be converted to a permanent customer

organisationId
​integer · int64

Organisation id of the temporary customer to be converted to a permanent customer

password
​string · minLength: 1 · maxLength: 100

Password of the temporary customer to be converted to a permanent customer

Convert to permanent › Responses

OK

A registered customer response
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

profileType
​string · enum · required

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerAccountResponse[]

Customer accounts used for account based ticketing

​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

​LocalDateResponse

Date as object

​LocalDateResponse

Date as object

​EcardOwnershipResponse[]

The ecards connected to the customer.

email
​string · maxLength: 80

Contact email. May become different from username

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
lastSignInAt
​string · date-time

When the customer last signed in. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
lastSignInFrom
​string · maxLength: 100

Where the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.

nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
parentId
​object

Id of the parent customer. Used to connect different customer types.

​PersonnelTicketBearer

The personnel tickets connected to the customer. Deprecated. Does not contain updated information.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

relatedCustomerNumbers
​integer[]

The customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
username
​string

Username the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)


Did you find what you were looking for?